#include "fdf.h"

int		main(int argc, char **argv)
{
	t_FDF	*FDF;

	FDF = NULL;
	parse_input(argc, argv, &FDF);
	center(FDF->map);
	initial_trnsf_mats(FDF);
	viewport_projection_translate(FDF->map->trnsf);
	mat4_mult_chain(FDF->map->trnsf);
	transform(FDF->map->trnsf->fin, FDF->map);
	render(FDF);
	mlx_hook(FDF->mw->win, 2, 5, key_hook, FDF);
	mlx_loop(FDF->mw->mlx);
	return (0);
}